package com.loafle.overflow.service.container;

import java.util.Map;

import com.loafle.overflow.core.annotation.ProbeAPI;
import com.loafle.overflow.core.exception.OverflowException;

/**
 * CrawlerService
 */
public interface CrawlerService {
  @ProbeAPI
  void Auth(String crawlerName, Map<String, Object> authInfoMap) throws OverflowException;
  @ProbeAPI
  Map<String, String> Get(String sensorConfigID) throws OverflowException;
}